@echo off

:: Calls make_boundingbox.bat with each file name in figures.list
:: (this makes sure we only convert stuff we need)

if not exist figures.list goto :Error1
if not exist make_boundingbox.bat goto :Error2
if [%1] == [] goto :NoParam
if [%1] == [grey] goto :GreyScale

:GreyScale
echo %0: converting to greyscale
set MAKE_FIGS_GREY=yes
goto :Process

:NoParam
set MAKE_FIGS_GREY=no
echo %0: original colors

:Process
for /f "eol=# tokens=1" %%v in (figures.list) do call make_boundingbox.bat %%v
goto :End

:Error1
%0: `figures.list' with list of files does not exist!
goto :End

:Error2
%0: `make_boundingbox.bat' must be in current directory!
goto :End

:End
