@echo off

::
:: Convert EPS file to greyscale
::

:: do we have a file name?
if [%1] == [] goto :NoParam

:: try locating GhostScript
if not exist c:\sbin\gs\bin\gswin64c.exe goto :NoGSWin
set GSCMD=c:\sbin\gs\bin\gswin64c.exe
goto :Process

:: try UNIX-like gs in PATH
:NoGSWin
where gs.exe > gscmd.tmp
if errorlevel 1 goto :NoGS
set GSCMD=gs.exe
goto :Process

:: ok, we have command in gscmd.tmp now, append the rest of it
:Process
%GSCMD% -sOutputFile=%1-grey.eps -sDEVICE=epswrite -sColorConversionStrategy=Gray -dProcessColorMode=/DeviceGray -dEPSCrop -dNOPAUSE -dBATCH -dQUIET %1
move /y %1-grey.eps %1 >nul
goto :End

:NoGS
echo %0: cannot find GS anywhere.
goto :End

:NoParam
echo %0: must specify file name to convert.
goto :End

:End